Get Offers for Items by Item IDs - Fabric
Get Offers for Items by Item IDs
cURL
curl --request POST \
--url https://prod01-apigw.yourcompany.fabric.zone/api-price/offer/get-by-itemIds \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"itemIds": [
1000000038
],
"priceListId": 100000
}
'
Python
import requests
url = "https://prod01-apigw.yourcompany.fabric.zone/api-price/offer/get-by-itemIds"
payload = {
"itemIds": [1000000038],
"priceListId": 100000
}
headers = {
"x-site-context": "<x-site-context>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemIds: [1000000038], priceListId: 100000})
};
fetch('https://prod01-apigw.yourcompany.fabric.zone/api-price/offer/get-by-itemIds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
[
{
"_id": "616e011037a3810008cfb256",
"priceListId": 100000,
"isSoftDeleted": false,
"itemId": 1000011218,
"itemSku": "1234XYZ",
"offerId": 371922,
"offers": [
{
"kind": 12,
"channel": 12,
"startDate": "2021-12-30T02:05:00.000Z",
"endDate": "2099-12-31T00:00:00.000Z",
"price": {
"base": 2000,
"sale": 1000,
"cost": 800,
"currency": "USD"
},
"range": [
{
"_id": "616e143828d0b800086dd84a",
"minQuantity": 2,
"price": 500
}
]
}
],
"createdAt": "2021-10-18T23:19:44.852Z",
"updatedAt": "2021-10-19T00:40:30.341Z",
"job": false
}
]
Error Responses
{
"code": 400,
"message": "SKU cannot be empty"
}
{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Headers
- x-site-context: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from.- Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
- Example:
Body
Item Price Request Object:
- itemIds: number[] (required)
- priceListId: number
Response Schema
- _id: string
- priceListId: number
- isSoftDeleted: boolean
- itemId: number
- itemSku: string
- offerId: number
- offers: object[] (required)
- createdAt: string (date-time)
- updatedAt: string (date-time)
- job: boolean